Developer
News and Updates
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Platform
Atlassian Marketplace / Reference / Marketplace REST API (v2)

Applications

Postman Collection
OpenAPI
GET

Get applicationsDeprecated

Get a list of applications.

Forge and OAuth2 apps cannot access this REST resource.

Request

Query parameters

offset

integer

limit

integer

Responses

application/json

ApplicationCollection
GET/applications
1 2 3 curl --request GET \ --url 'https://marketplace.atlassian.com/rest/2/applications' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 { "_links": { "self": { "href": "<string>", "type": "<string>", "title": "<string>" }, "byKey": { "template": "<string>", "type": "<string>", "name": "<string>" }, "latestVersion": { "template": "<string>", "type": "<string>", "name": "<string>" }, "versionByBuild": { "template": "<string>", "type": "<string>", "name": "<string>" } }, "_embedded": { "applications": [ { "_links": { "logo": { "href": "<string>" } }, "_embedded": { "logo": { "_links": { "self": { "href": "<string>" }, "image": { "href": "<string>" }, "unscaled": { "href": "<string>" } } } }, "name": "<string>", "key": "<string>", "keyAliases": [ "<string>" ], "introduction": "<string>", "status": "published", "hostingSupport": { "cloud": { "enabled": true }, "server": { "enabled": true }, "dataCenter": { "enabled": true } }, "atlassianConnectSupport": { "cloud": true, "server": true, "dataCenter": true }, "compatibilityMode": "micro", "details": { "description": "<string>", "learnMore": "<string>" } } ] } }
GET

Get applicationDeprecated

Get a specific application.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

applicationKey

string

Required

Responses

application/json

Application

Detailed information about an Atlassian application

GET/applications/{applicationKey}
1 2 3 curl --request GET \ --url 'https://marketplace.atlassian.com/rest/2/applications/{applicationKey}' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 { "_links": { "self": { "href": "<string>", "type": "<string>", "title": "<string>" }, "logo": { "href": "<string>", "type": "<string>", "title": "<string>" }, "versions": { "template": "<string>", "type": "<string>", "name": "<string>" }, "latestVersion": { "href": "<string>", "type": "<string>", "title": "<string>" }, "versionByBuild": { "template": "<string>", "type": "<string>", "name": "<string>" }, "versionByName": { "template": "<string>", "type": "<string>", "name": "<string>" }, "addons": { "href": "<string>", "type": "<string>", "title": "<string>" }, "addonCategories": { "href": "<string>", "type": "<string>", "title": "<string>" } }, "_embedded": { "logo": { "_links": { "self": { "href": "<string>" }, "image": { "href": "<string>" }, "unscaled": { "href": "<string>" } } } }, "name": "<string>", "key": "<string>", "keyAliases": [ "<string>" ], "introduction": "<string>", "status": "published", "hostingSupport": { "cloud": { "enabled": true, "customHamsKey": "<string>" }, "server": { "enabled": true, "customHamsKey": "<string>" }, "dataCenter": { "enabled": true, "customHamsKey": "<string>" } }, "atlassianConnectSupport": { "cloud": true, "server": true, "dataCenter": true }, "compatibilityMode": "micro", "details": { "description": "<string>", "learnMore": "<string>", "downloadPage": "<string>" } }
GET

Get application versionsDeprecated

Get a list of versions for the specified application.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

applicationKey

string

Required

Query parameters

afterBuildNumber

integer

offset

integer

limit

integer

Responses

application/json

ApplicationVersionCollection
GET/applications/{applicationKey}/versions
1 2 3 curl --request GET \ --url 'https://marketplace.atlassian.com/rest/2/applications/{applicationKey}/versions' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 { "_links": { "self": { "href": "<string>", "type": "<string>", "title": "<string>" }, "next": { "href": "<string>", "type": "<string>", "title": "<string>" }, "prev": { "href": "<string>", "type": "<string>", "title": "<string>" } }, "_embedded": { "versions": [ { "_links": { "self": { "href": "<string>" }, "parent": { "href": "<string>" } }, "buildNumber": 57, "dataCenterCompatible": true, "version": "<string>", "releaseDate": "<string>", "status": "published" } ] }, "count": 107 }
GET

Get application version (by number)Deprecated

Get details about a specific version, matching the specified build number, of the specified application.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

applicationKey

string

Required
applicationBuildNumber

integer

Required

Responses

application/json

ApplicationVersion

Detailed information about a specific version of an Atlassian application

GET/applications/{applicationKey}/versions/build/{applicationBuildNumber}
1 2 3 curl --request GET \ --url 'https://marketplace.atlassian.com/rest/2/applications/{applicationKey}/versions/build/{applicationBuildNumber}' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 { "_links": { "self": { "href": "<string>", "type": "<string>", "title": "<string>" }, "parent": { "href": "<string>", "type": "<string>", "title": "<string>" } }, "buildNumber": 57, "dataCenterCompatible": true, "version": "<string>", "releaseDate": "<string>", "status": "published" }
GET

Get application version (latest)Deprecated

Get the latest version of the specified application.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

applicationKey

string

Required

Responses

application/json

ApplicationVersion

Detailed information about a specific version of an Atlassian application

GET/applications/{applicationKey}/versions/latest
1 2 3 curl --request GET \ --url 'https://marketplace.atlassian.com/rest/2/applications/{applicationKey}/versions/latest' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 { "_links": { "self": { "href": "<string>", "type": "<string>", "title": "<string>" }, "parent": { "href": "<string>", "type": "<string>", "title": "<string>" } }, "buildNumber": 57, "dataCenterCompatible": true, "version": "<string>", "releaseDate": "<string>", "status": "published" }
GET

Get application version (by name)Deprecated

Get details about a specific version, matching the specified name, of the specified application.

Forge and OAuth2 apps cannot access this REST resource.

Request

Path parameters

applicationKey

string

Required
name

string

Required

Responses

application/json

ApplicationVersion

Detailed information about a specific version of an Atlassian application

GET/applications/{applicationKey}/versions/name/{name}
1 2 3 curl --request GET \ --url 'https://marketplace.atlassian.com/rest/2/applications/{applicationKey}/versions/name/{name}' \ --header 'Accept: application/json'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 { "_links": { "self": { "href": "<string>", "type": "<string>", "title": "<string>" }, "parent": { "href": "<string>", "type": "<string>", "title": "<string>" } }, "buildNumber": 57, "dataCenterCompatible": true, "version": "<string>", "releaseDate": "<string>", "status": "published" }

Rate this page: